package fr.esial.seenshare.controlers;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import javax.swing.JFrame;

import javax.swing.JButton;

import fr.esial.seenshare.models.Media;
import fr.esial.seenshare.models.Photo;
import fr.esial.seenshare.views.PhotoPanel;

/**
 * Controller listening click actions on photos on main view
 */
public class PhotoClick extends MouseAdapter {

    private Media media;

    public PhotoClick(Media media) {
        this.media = media;
    }

    public void mouseClicked(MouseEvent e) {
        JButton b = (JButton) e.getSource();

        new PhotoPanel((Photo) media, ((JFrame) b.getTopLevelAncestor()));
    }
}
