package fr.esial.seenshare.models;

/**
 * Thread to save the tags for a photo id
 */
public class SaveTagsThread extends Thread {

    private String photoId;
    private String tags;

    /**
     * Create a new thread to save tags
     *
     * @param p photoId where to save tags
     * @param t list of tags
     */
    public SaveTagsThread(String p, String t) {
        photoId = p;
        tags = t;
    }

    @Override
    public void run() {
        super.run();
        Albums.getInstance().updateTags(photoId, tags);
    }

}
