package fr.esial.seenshare.utils;

/**
 * A lot of constants...
 */
public class Constants {

    /**
     * Strings
     */
    public static final String TITLE = "See&Share";
    public static final String TITLE2 = "See-N-Share";
    public static final String TITLE_SEPARATOR = " - ";
    public static final String TITLE_PHOTO = TITLE + TITLE_SEPARATOR + "Photo"
            + TITLE_SEPARATOR;
    public static final String TITLE_VIDEO = TITLE + TITLE_SEPARATOR + "Video"
            + TITLE_SEPARATOR;
    public static final String TITLE_CONNECTION = TITLE + TITLE_SEPARATOR
            + "Connection";
    public static final String TITLE_DIAPORAMA = TITLE + TITLE_SEPARATOR
            + "Slideshow" + TITLE_SEPARATOR;
    public static final String TITLE_ABOUT = TITLE + TITLE_SEPARATOR + "About";
    public static final String IMAGE_PREFIXE = "images"
            + System.getProperty("file.separator");
    public static final String IMAGE_ICON = IMAGE_PREFIXE + "icon.png";
    public static final String IMAGE_EGG = IMAGE_PREFIXE + "egg.png";
    public static final String IMAGE_VIDEO = IMAGE_PREFIXE + "video.png";
    public static String DATA = "albums.data";
    public static String DATA_PERSONS = "persons.data";
    public static final int PREVIEW_WIDTH = 100;
    public static final String FOLDER = TITLE2;
    public static final String WEB_SERVICE_NAME = TITLE2;

    public static final double SCROLL_ZOOM_INCREMENT = 0.2;
    public static final double MIN_PICTURE_DISPLAY_SIZE = 0.25;
    public static final double MAX_ZOOM_LEVEL = 5;

    /**
     * ICONS
     */
    // General
    public static final String ICON_CONNECT = IMAGE_PREFIXE + "connect.png";
    public static final String ICON_DISCONNECT = IMAGE_PREFIXE + "disconnect.png";
    public static final String ICON_ADD_FOLDER = IMAGE_PREFIXE
            + "add_folder.png";
    public static final String ICON_ADD_ALBUM = IMAGE_PREFIXE + "add_album.png";
    public static final String ICON_THEME = IMAGE_PREFIXE + "theme.png";
    public static final String ICON_HELP = IMAGE_PREFIXE + "help.png";
    public static final String ICON_QUIT = IMAGE_PREFIXE + "quit.png";

    public static final String ICON_ADD = IMAGE_PREFIXE + "add.png";
    public static final String ICON_DELETE = IMAGE_PREFIXE + "delete.png";
    public static final String ICON_EDIT = IMAGE_PREFIXE + "edit.png";

    public static final String ICON_BTN_ADD = IMAGE_PREFIXE + "btnAdd.png";
    public static final String ICON_BTN_SYNC = IMAGE_PREFIXE + "btnSync.png";
    public static final String ICON_BTN_SLIDESHOW = IMAGE_PREFIXE
            + "btnSideshow.png";

    public static final String ICON_CLOSE = IMAGE_PREFIXE + "close.png";

    // Video controls
    public static final String ICON_PLAY = IMAGE_PREFIXE + "play.png";

    public static final String ICON_INFO = IMAGE_PREFIXE + "info.png";
    public static final String ICON_DETAILS = IMAGE_PREFIXE + "details.png";

    // Pictures zoom and editing
    public static final String ICON_ZOOM_FIT = IMAGE_PREFIXE + "zoom_fit.png";
    public static final String ICON_ZOOM_FIT_WIDTH = IMAGE_PREFIXE
            + "zoom_fit_width.png";
    public static final String ICON_ZOOM_ORIGINAL = IMAGE_PREFIXE
            + "zoom_original.png";
    public static final String ICON_ZOOM_IN = IMAGE_PREFIXE + "zoom_in.png";
    public static final String ICON_ZOOM_OUT = IMAGE_PREFIXE + "zoom_out.png";

    public static final String ICON_ROTATE_LEFT = IMAGE_PREFIXE
            + "rotate_left.png";
    public static final String ICON_ROTATE_RIGHT = IMAGE_PREFIXE
            + "rotate_right.png";
    public static final String ICON_RESIZE = IMAGE_PREFIXE + "resize.png";
    public static final String ICON_CROP = IMAGE_PREFIXE + "crop.png";
    public static final String ICON_PERSON = IMAGE_PREFIXE + "person.png";
    public static final String ICON_SEPIA = IMAGE_PREFIXE + "sepia.png";
    public static final String ICON_BW = IMAGE_PREFIXE + "bw.png";
    public static final String ICON_BLUR = IMAGE_PREFIXE + "blur.png";

    // Sync
    public static final String ICON_PHY = IMAGE_PREFIXE + "iconPhy.png";
    public static final String ICON_PHYSYNC = IMAGE_PREFIXE + "iconPhySync.png";
    public static final String ICON_LOG = IMAGE_PREFIXE + "iconLog.png";
    public static final String ICON_LOGSYNC = IMAGE_PREFIXE + "iconLogSync.png";
    public static final String ICON_ONLINE = IMAGE_PREFIXE + "iconOnline.png";
    public static final String ICON_PRINT = IMAGE_PREFIXE + "print.png";
    public static final String ICON_IMG = IMAGE_PREFIXE + "iconImg.png";

    public static final String TAB_ALBUM = "Album";

    public static boolean JUNIT = false;

    public static void setJUNIT(boolean b) {
        JUNIT = b;
    }
}
