package fr.esial.seenshare.views;

import fr.esial.seenshare.controlers.PhotoClick;
import fr.esial.seenshare.models.Media;

/**
 * Display a preview of a photo in a jbutton
 */
public class PhotoPreview extends MediaPreview {

    private static final long serialVersionUID = 1L;

    /**
     * Create a new preview of a photo
     *
     * @param media media to display
     */
    public PhotoPreview(Media media) {
        super(media);
        addMouseListener(new PhotoClick(media));
    }
}
