package fr.esial.seenshare.views;

import fr.esial.seenshare.controlers.VideoClick;
import fr.esial.seenshare.models.Media;

/**
 * View that display a preview of a video
 * It is just a default icon for all videos
 */
public class VideoPreview extends MediaPreview {

    private static final long serialVersionUID = 1L;

    /**
     * Create a new preview for a video
     *
     * @param media video to preview
     */
    public VideoPreview(Media media) {
        super(media);
        addMouseListener(new VideoClick(media));
    }
}
