package fr.esial.seenshare.controlers;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JButton;
import javax.swing.JFrame;

import fr.esial.seenshare.models.Media;
import fr.esial.seenshare.views.VideoPanel;

/**
 * Controller that listen for clicks on a video, to launch a new video panel
 */
public class VideoClick extends MouseAdapter {

    private Media media;

    public VideoClick(Media media) {
        this.media = media;
    }

    public void mouseClicked(MouseEvent e) {
        JButton b = (JButton) e.getSource();

        new VideoPanel(media, ((JFrame) b.getTopLevelAncestor()));
    }
}
