package fr.esial.seenshare.controlers;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import fr.esial.seenshare.views.PicturePanel;

/**
 * Controller that listen to clicks on the zoom buttons
 * Launch the good zoom method depending on the button clicked
 */
public class ZoomButtonsActionListener implements ActionListener {

    PicturePanel view;

    public ZoomButtonsActionListener(PicturePanel mf) {
        view = mf;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getActionCommand() == "zoom_fit")
            view.fitToScreen();
        else if (e.getActionCommand() == "zoom_fit_width")
            view.fitWidth();
        else if (e.getActionCommand() == "zoom_original")
            view.zoomOriginal();
        else if (e.getActionCommand() == "zoom_in")
            view.zoom(1);
        else if (e.getActionCommand() == "zoom_out")
            view.zoom(-1);
    }

}
