package fr.esial.seenshare.views;

import javax.swing.*;

/**
 * Display popups showing errors
 */
public class ErrorPopup {

    public static void show(String message) {
        JOptionPane.showMessageDialog(null, message, "Error",
                JOptionPane.ERROR_MESSAGE);
    }

    public static void showNetworkError() {
        show("Error on the network. Please connect to internet and try later.");
    }

    public static void showServiceError() {
//        show("Error with the request to Picasa. Please try later.");
    }

    public static void showIOError() {
        show("Input/output error...");
    }

    public static void showAlbumExists() {
        show("This album already exists. Please choose another name.");
    }
}
